# std::__timepunct_cache< _CharT > Struct Template Reference

Inheritance diagram for std::__timepunct_cache< _CharT >:

List of all members.

## Detailed Description

### template<typename _CharT>
struct std::__timepunct_cache< _CharT >

Definition at line 2752 of file locale_facets.h.

## Public Member Functions

- __timepunct_cache (size_t __refs=0)
- void _M_cache (const locale &__loc)
- template<> const wchar_t * _S_timezones [14]
- template<> const char * _S_timezones [14]
- ~__timepunct_cache ()

## Public Attributes

- const _CharT * _M_aday1
- const _CharT * _M_aday2
- const _CharT * _M_aday3
- const _CharT * _M_aday4
- const _CharT * _M_aday5
- const _CharT * _M_aday6
- const _CharT * _M_aday7
- bool _M_allocated
- const _CharT * _M_am
- const _CharT * _M_am_pm_format
- const _CharT * _M_amonth01
- const _CharT * _M_amonth02
- const _CharT * _M_amonth03
- const _CharT * _M_amonth04
- const _CharT * _M_amonth05
- const _CharT * _M_amonth06
- const _CharT * _M_amonth07
- const _CharT * _M_amonth08
- const _CharT * _M_amonth09
- const _CharT * _M_amonth10
- const _CharT * _M_amonth11
- const _CharT * _M_amonth12
- const _CharT * _M_date_era_format
- const _CharT * _M_date_format
- const _CharT * _M_date_time_era_format
- const _CharT * _M_date_time_format
- const _CharT * _M_day1
- const _CharT * _M_day2
- const _CharT * _M_day3
- const _CharT * _M_day4
- const _CharT * _M_day5
- const _CharT * _M_day6
- const _CharT * _M_day7
- const _CharT * _M_month01
- const _CharT * _M_month02
- const _CharT * _M_month03
- const _CharT * _M_month04
- const _CharT * _M_month05
- const _CharT * _M_month06
- const _CharT * _M_month07
- const _CharT * _M_month08
- const _CharT * _M_month09
- const _CharT * _M_month10
- const _CharT * _M_month11
- const _CharT * _M_month12
- const _CharT * _M_pm
- const _CharT * _M_time_era_format
- const _CharT * _M_time_format

## Static Public Attributes

- static const _CharT * _S_timezones [14]

## Static Protected Member Functions

- static __c_locale _S_clone_c_locale (__c_locale &__cloc)
- static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
- static void _S_destroy_c_locale (__c_locale &__cloc)
- static __c_locale _S_get_c_locale ()
- static const char * _S_get_c_name ()

## Friends

- class locale::_Impl

The documentation for this struct was generated from the following file:

- locale_facets.h